Bug 1014308 - [xfs/xfstests 298] Inline symlink is not removed from inode
[xfs/xfstests 298] Inline symlink is not removed from inode
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: kernel (Show other bugs)
7.0
All Linux
unspecified Severity medium
: rc
: ---
Assigned To: Dave Chinner
Filesystem QE
:
Depends On: 1001861
Blocks: 1014312
  Show dependency treegraph
 
Reported: 2013-10-01 13:16 EDT by Boris Ranto
Modified: 2014-02-23 05:35 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1014312 (view as bug list)
Environment:
Last Closed: 2014-02-23 05:35:44 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Boris Ranto 2013-10-01 13:16:11 EDT
Description of problem:
Copied from the description of the test case:
inline symlinks are removed from the inode when an extended attributes forces it into being remote symlink. Warning: this test will ASSERT on unpatched DEBUG XFS.

Version-Release number of selected component (if applicable):
kernel-3.10.0-23.el7.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run the xfstests test case xfs/298 for xfs fs
2. Check the output

Actual results:
For symlink size 128, the core.nextents is reported to be 1.

Expected results:
The core.nextents is 0.

Additional info:
This seems to have been fixed upstream by [v4] xfs: fix the symbolic link assert in xfs_ifree:
http://patchwork.xfs.org/patch/5614/
Comment 1 Eric Sandeen 2013-10-04 14:55:15 EDT
Ok, this should be fixed in:

commit 725eb1eb2ae88c200466fec34bcf1fbce4b8eca3
Author: Mark Tinguely <tinguely@sgi.com>
Date:   Mon Jun 17 15:35:57 2013 -0500

    xfs: fix the symbolic link assert in xfs_ifree
    
    Adding an extended attribute to a symbolic link can force that
    link to an remote extent. xfs_inactive() incorrectly assumes
    that any symbolic link small enough to be in the inode core
    is incore, resulting in the remote extent to not be removed.
    xfs_ifree() will assert on presence of this leaked remote extent.
    
    Signed-off-by: Mark Tinguely <tinguely@sgi.com>
    Reviewed-by: Ben Myers <bpm@sgi.com>
    Signed-off-by: Ben Myers <bpm@sgi.com>

which hit:

v3.11-rc1

and should eventually be in RHEL7... when bug #1001861 is done, please retest, and dup this one I guess, if it passes?

Assigning to Dave, but this will probably end up just being a dup.

Thanks,
-Eric
Comment 2 Eryu Guan 2014-02-23 05:35:44 EST
kernel-3.10.0-89.el7 passed xfs/298, closed as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.